import { SyllableSDK } from "syllable-sdk";
const syllableSDK = new SyllableSDK({
apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});
async function run() {
const result = await syllableSDK.sessionLabels.getById({
sessionLabelId: 491550,
});
console.log(result);
}
run();import os
from syllable_sdk import SyllableSDK
with SyllableSDK(
api_key_header=os.getenv("SYLLABLESDK_API_KEY_HEADER", ""),
) as ss_client:
res = ss_client.session_labels.get_by_id(session_label_id=491550)
# Handle response
print(res)curl --request GET \
--url https://api.syllable.cloud/api/v1/session_labels/{session_label_id} \
--header 'Syllable-API-Key: <api-key>'const options = {method: 'GET', headers: {'Syllable-API-Key': '<api-key>'}};
fetch('https://api.syllable.cloud/api/v1/session_labels/{session_label_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": 1,
"type": "auto-rating",
"code": "GOOD",
"user_email": "user@email.com",
"id": 1,
"timestamp": "2024-01-01T12:00:00Z",
"comments": "<string>",
"issue_categories": [
"Silent treatment"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Get Label By Id
import { SyllableSDK } from "syllable-sdk";
const syllableSDK = new SyllableSDK({
apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});
async function run() {
const result = await syllableSDK.sessionLabels.getById({
sessionLabelId: 491550,
});
console.log(result);
}
run();import os
from syllable_sdk import SyllableSDK
with SyllableSDK(
api_key_header=os.getenv("SYLLABLESDK_API_KEY_HEADER", ""),
) as ss_client:
res = ss_client.session_labels.get_by_id(session_label_id=491550)
# Handle response
print(res)Authorizations
Path Parameters
Response
Successful Response
Response model for session label operations. A session label is associated with a given session and contains an evaluation of quality and descriptions of issues the user encountered in that session or other details.
The internal ID of the session (see Session.session_id)
1
The type of the label (either "auto-rating" or "human-rating")
"auto-rating"
"human-rating"
A code describing the quality of the labeled session (either "GOOD", "OK", "BAD", or "N/A")
"GOOD"
"OK"
"BAD"
"N/A"
The email of the user who created the label
"user@email.com"
The internal ID of the label
1
The timestamp at which the label was created
"2024-01-01T12:00:00Z"
Comment string describing additional details about the session
Descriptions of issues occurring in the labeled call
["Silent treatment"]

